<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'abtarea_conwidth', 'about_area', 'Section Width ');

$wp_customize->add_setting('abt_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container-fluid'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'abt_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'about_area', // Replace with your actual section ID
    'settings' => 'abt_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );


// lzCustomLable($wp_customize, 'aboutarea_rightclr', 'about_area', 'Section Sub Heading ');

lzCustomLable($wp_customize, 'abtarea_subheadingcase', 'about_area', 'Sub Heading Style');

$wp_customize->add_setting('abt_subtitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'uppercase'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'abt_subtitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'about_area', // Replace with your actual section ID
    'settings' => 'abt_subtitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );


$wp_customize->add_setting(
    'about_subtitl',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'about', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_subtitl',
    array(
        'settings'      => 'about_subtitl',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'abt_subtitleclr', 'about_area', 'Sub Heading Color ', '#505050');

addColorPalatOption($wp_customize, 'abt_subtitlebrdclr', 'about_area', 'Sub Heading Border Color ', '#BCBCBC');

lzCustomLable($wp_customize, 'abtarea_headingcase', 'about_area', 'Heading Style');

$wp_customize->add_setting('abt_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'capitalize'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'abt_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'about_area', // Replace with your actual section ID
    'settings' => 'abt_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );

$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our Journey & Core Values', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abt_titleclr', 'about_area', 'Heading Color ', '#000');

$wp_customize->add_setting(
    'about_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( "We started with a simple mission — to create meaningful solutions that empower people and drive change. What began as a small team with big dreams has grown into a company built on trust, passion, and innovation.", 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_txt',
    array(
        'settings'      => 'about_txt',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abt_txtclr', 'about_area', 'Text Color ', '#3B3B3B');

$wp_customize->add_setting('abt_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'abt_npp_heading',
        array(
            'settings'      => 'abt_npp_heading',
            'section'       => 'about_area',
            'label'         => __( 'Number Of List To Show', 'Luzuk Premium' ),
        )
    )
);    

$wp_customize->add_setting('abt_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'abt_npp_count', array(
        'label'    => __( '', 'luzuk' ),
        'section'  => 'about_area', // Replace with your actual section ID
        'settings' => 'abt_npp_count',
        'choices'=>array(1,2,3,4,5,6)
    ) ) );

//abtD PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'abt_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'abt_header'.$i,
            array(
                'settings'      => 'abt_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'List Number ', 'Luzuk Premium' ).$i
            )
        )
    );

        $wp_customize->add_setting(
        'abt_page_icon'.$i,
        array(
            'default'           => 'fa fa-object-group',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'abt_page_icon'.$i,
            array(
                'settings'      => 'abt_page_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'Luzuk Premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'abt_page_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Collaboration');

 lzAddElement($wp_customize, 'abt_page_txt'.$i, 'about_area', $type = 'textarea', $label="Text", $callback ='luzuk_sanitize_text', $default='Honesty and transparency are at the heart of everything we do.');

// lzAddElement($wp_customize, 'abtabtd_page_url_'.$i, 'about_area', $type = 'text', $label="Add Page Link", $callback ='esc_url', $default='Add link here');
    
}

lzCustomLable($wp_customize, 'abtsec_clr', 'about_area' , 'Section Color');

addColorPalatOption($wp_customize, 'abtdec_icnbgclr1', 'about_area', 'Icon BG Color 1', '#0F1C1D');

addColorPalatOption($wp_customize, 'abtdec_icnbgclr2', 'about_area', 'Icon BG Color 2', '#233C3E');

addColorPalatOption($wp_customize, 'abtdec_icnhvbgclr', 'about_area', 'Icon Hover BG Color', '#456c6f');

addColorPalatOption($wp_customize, 'abtdec_icnclr', 'about_area', 'Icon Color', '#fff');

addColorPalatOption($wp_customize, 'abtdec_tlteclr', 'about_area', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'abtdec_txtclr', 'about_area', 'Text Color', '#4E4E4E');



lzCustomLable($wp_customize, 'abtsec_btnclr', 'about_area' , 'Section Button');

$wp_customize->add_setting(
    'abtbtn_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'More About Us', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'abtbtn_text',
    array(
        'settings'      => 'abtbtn_text',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting('abtbtnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('abtbtnlink',
    array(
        'settings'      => 'abtbtnlink',
        'section'       => 'about_area',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abtdec_btntxtclr', 'about_area', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'abtdec_btntxthvclr', 'about_area', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'abtdec_btnBGclr', 'about_area', 'Button BG Color', '#0F1C1D');

addColorPalatOption($wp_customize, 'abtdec_btnBGhvclr', 'about_area', 'Button BG Hover Color', '#456c6f');

